#ifndef __CCALLBACK_HPP_
#define __CCALLBACK_HPP_

#include <phcpp/widget.hpp>

#define Pt_CB_X1_RESOURCES 500

class CCallback
{	protected:
		BOOL bCallbackAttached;
		ULONG ulCallbackType;
		_CONST void * pvData;
		CWidget * pobjParent;

	public:
		CCallback() {};
		CCallback(CWidget * pobjParent, ULONG ulCallbackType, _CONST void * pvData);
		virtual ~CCallback();
		virtual int OnCallback(PtWidget_t * pwgt, _CONST void * pvData, _CONST PtCallbackInfo_t * ptsCbInfo) = 0;
};
#endif
