#ifndef __CCONTAINER_HPP_
#define __CCONTAINER_HPP_

#include <phcpp/basic.hpp>
#include <photon/PtContainer.h>

class CContainer : public CBasic
{
	public:
		CContainer() {  pwgt = NULL; pulClassRef = NULL;};
		CContainer(PtWidget_t * pobjParent, UINT uiNumArgs, _CONST PtArg_t * pArgs);

		inline int Release()
		{  return(PtContainerRelease(pwgt));
		}

		inline int Hold()
		{  return(PtContainerHold(pwgt));
		}

		inline PtWidget_t * Hit(UINT uiIndex, _CONST PhRect_t * prect)
		{  return(PtContainerHit(pwgt, uiIndex, prect));
		}

		inline PtWidget_t * Box(_CONST PtWidget_t * pobjStart, _CONST PhRect_t * prect)
		{  return(PtContainerBox(pwgt, pobjStart, prect));
		}
};
#endif
