#ifndef __CMTEXT_HPP_
#define __CMTEXT_HPP_

#include <phcpp/text.hpp>
#include <phcpp/defs.hpp>
#include <photon/PtMultiText.h>

class CMultiText : public CText
{  	public:
		CMultiText() {  pwgt = NULL; pulClassRef = NULL;};
		CMultiText(PtWidget_t * pobjParent, UINT uiNumArgs, _CONST PtArg_t * pArgs);

		inline _CONST PtMultiTextAttributes_t * CreateAttributes(_CONST PtMultiTextAttributes_t * ptsAttrs)
		{  return(PtMultiTextCreateAttributes(ptsAttrs));
		}

		inline _CONST PtMultiTextAttributes_t * GetAttributes(int iCharOffset, _CONST PtMultiTextAttributes_t * ptsAttributes, _CONST int * piStart, _CONST int * piEnd)
		{  return(PtMultiTextGetAttributes(pwgt, iCharOffset, ptsAttributes, piStart, piEnd));
		}

		inline int TextInfo(int iQueryType, _CONST int * piCharOffset, _CONST int * piLineNum, _CONST PtMultiTextLine_t * ptsLine, _CONST int * piStart, _CONST int * piEnd, _CONST int * piLength, _CONST PtMultiTextSegment_t * ptsSeg, _CONST PtMultiTextAttributes_t * ptsAttrs)
		{  return(PtMultiTextInfo(pwgt, iQueryType, piCharOffset, piLineNum, ptsLine, piStart, piEnd, piLength, ptsSeg, ptsAttrs));
		}

		inline ModifyAttributes(int iStart, int iEnd, _CONST PtMultiTextAttributes_t * ptsAttrs, int iAttrMask)
		{  PtMultiTextModifyAttributes(pwgt, iStart, iEnd, ptsAttrs, iAttrMask);
		}

		inline ModifyText(int iStart, int iEnd, int iInsertPos, _CONST char * pcText, int iLength, _CONST PtMultiTextAttributes_t * ptsAttrs, int iAttrMask)
		{  PtMultiTextModifyText(pwgt, iStart, iEnd, iInsertPos, pcText, iLength, ptsAttrs, iAttrMask);
		}
};
#endif
