#ifndef __SIGNAL_HANDLER_HPP_
#define __SIGNAL_HANDLER_HPP_

#include <phcpp/widget.hpp>
#include <signal.h>

class CSignalHandler
{	protected:
		BOOL bHandlerAttached;
		int iHandlerType;
		_CONST void * pvData;
		sigset_t tsSigSet;
		PT_SIGNAL_WRAPPER_DATA tsSignalData;

	public:
		CSignalHandler() {};
		CSignalHandler(int iSignal, _CONST void * pvData);
		virtual ~CSignalHandler();
        virtual int OnSignal(int iSignal, _CONST void * pvData) = 0;
};
#endif
