#ifndef __CTEXT_HPP_
#define __CTEXT_HPP_

#include <phcpp/label.hpp>
#include <phcpp/defs.hpp>
#include <photon/PtText.h>

class CText : public CLabel
{  	public:
		CText() {  pwgt = NULL; pulClassRef = NULL;};
		CText(PtWidget_t * pobjParent, UINT uiNumArgs, _CONST PtArg_t * pArgs);

		inline int GetSelection(_CONST int * piStart, _CONST int * piEnd)
		{  return(PtTextGetSelection(pwgt, piStart, piEnd));
		}

		inline int ModifyText(int iStart, int iEnd, int iInsertPos, _CONST char * pcText, int iLength)
		{  return(PtTextModifyText(pwgt, iStart, iEnd, iInsertPos, pcText, iLength)); 
		}

		inline int SetSelection(_CONST int * piStart, _CONST int * piEnd)
		{  return(PtTextSetSelection(pwgt, piStart, piEnd));
		}
};
#endif
